# Eneroth Merge Layers

# Copyright Julia Christina Eneroth, eneroth3@gmail.com

require "sketchup.rb"
require "extensions.rb"

module EneMergeLayers

  AUTHOR      = "Julia Christina Eneroth"
  CONTACT     = "#{AUTHOR} at eneroth3@gmail.com"
  COPYRIGHT   = "#{AUTHOR} #{Time.now.year}"
  DESCRIPTION =
    "Merges layers into one. Useful when copying between models "\
    "where corresponding layers have different names."
  ID          =  File.basename __FILE__, ".rb"
  NAME        = "Eneroth Merge Layers"
  VERSION     = "1.0.0"

  PLUGIN_ROOT = File.expand_path(File.dirname(__FILE__))

  PLUGIN_DIR = File.join(PLUGIN_ROOT, ID)

  ex = SketchupExtension.new(NAME, File.join(PLUGIN_DIR, "main"))
  ex.description = DESCRIPTION
  ex.version     = VERSION
  ex.copyright   = COPYRIGHT
  ex.creator     = AUTHOR
  Sketchup.register_extension(ex, true)

end
